import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Draw extends JFrame {
  
    private Game gamePanel;


/**
* Luo uuden JFrame-pohjan ja asettaa sille otsikon
*/
    public Draw() {
	super("Seven");
    }
    
/**
* Avaa pelin: muodostaa yhteyden vastapelaajan kanssa, luo gamedatan,
* avaa ikkunan ja alustaa hiiren.    
* @param  resource  viittaus resourceen
*/
    public void Open(Resource resource) {
	
	gamePanel = new Game(resource);
	
	GameData gamedata = gamePanel.startMultiplayerGame();
	    
	Container contentPane;
	contentPane = this.getContentPane();
	contentPane.add(gamePanel);
	
	int width = gamedata.getWidth();
	int height = gamedata.getHeight();
	    
	this.setSize(8+64+width*32, 108+height*32);
	this.setResizable(false);
	
	gamePanel.addMouseListener(gamePanel);
	
	this.addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    System.exit(0);
		}
	    });
    } 
}
