import java.io.*;

/**
* Packet on luokka johon on upotettu kentt joita tarvitaan erilaisen datan siirtmiseksi
* palvelimelta asiakkaalle
*/
public class Packet implements Serializable {
	
	// Otsikko
	public String header;
	
	// 1. kokonaislukukentt
	public int data1;
	
	// 2. kokonaislukukentt
	public int data2;
	
	// 3. kokonaislukukentt
	public int data3;
	
	// Kentt objektia varten
	public Object data4;


	/**
	* Konstruktori joka luo paketin annetuista parametreist
	* @param x Paketin otsikko
	* @param y 1. kokonaisluku
	* @param z 2. kokonaisluku
	* @param h 3. kokonaisluku
	* @param o Paketin objekti
	*/
	public Packet(String x,int y,int z,int h,Object o){
		header=x;
		data1=y;
		data2=z;
		data3=h;
		data4=o;
	}
		
}